<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.ownedUsbDisk.uDisk2</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1ownedUsbDisk_1_1uDisk2.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="#pub-static-attribs">Attributs publics statiques</a> &#124;
<a href="classsrc_1_1ownedUsbDisk_1_1uDisk2-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.ownedUsbDisk.uDisk2</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.ownedUsbDisk.uDisk2:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2__inherit__graph.png" border="0" usemap="#src_8ownedUsbDisk_8uDisk2_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8ownedUsbDisk_8uDisk2_inherit__map" id="src_8ownedUsbDisk_8uDisk2_inherit__map">
<area shape="rect" title=" " alt="" coords="52,80,227,107"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1uDisk2.html" title="une classe pour représenter un disque ou une partition." alt="" coords="5,5,145,32"/>
<area shape="rect" href="classQObject.html" title=" " alt="" coords="169,5,240,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.ownedUsbDisk.uDisk2:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2__coll__graph.png" border="0" usemap="#src_8ownedUsbDisk_8uDisk2_coll__map" alt="Collaboration graph"/></div>
<map name="src_8ownedUsbDisk_8uDisk2_coll__map" id="src_8ownedUsbDisk_8uDisk2_coll__map">
<area shape="rect" title=" " alt="" coords="52,80,227,107"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1uDisk2.html" title="une classe pour représenter un disque ou une partition." alt="" coords="5,5,145,32"/>
<area shape="rect" href="classQObject.html" title=" " alt="" coords="169,5,240,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a1d59c88d4bc3975a64192136a7ddbef3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a1d59c88d4bc3975a64192136a7ddbef3">__init__</a> (self, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a00bedd72ba2597ede05d69398ac73c74">path</a>, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a373d93728cebb8272ce459b39eb18ab8">mp</a>='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ab069d4e04fc385060c1af5d57f354549">isUsb</a>=False, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac1ab3d8ed30cefcca30bc04eda5a4374">vendor</a>='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad903c162f9c93e93bfad0a1617f6957a">model</a>='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a270486ee9951b7884bde91dbb89ca007">parent</a>=None, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a382ab84bcc4fc0c93677f56a480fc611">fstype</a>='', serial='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#aa0b9f005eee77cba1a15a2a9eac90499">uuid</a>='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac2fab9a1fad78aa2838eb98c618bcad0">free</a>=0, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ab85554206613b2f0d8060d7ffb84ffeb">capacity</a>=0, device='', <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad652bd6709835104fe26cf8e289b70ff">firstFat</a>=None, <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad1fb31a571cf086ef0cd8e9cf8e44115">selected</a>=True)</td></tr>
<tr class="memdesc:a1d59c88d4bc3975a64192136a7ddbef3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a1d59c88d4bc3975a64192136a7ddbef3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1d59c88d4bc3975a64192136a7ddbef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03c90a7c08177375d0d7a1066b0c7245"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a03c90a7c08177375d0d7a1066b0c7245">getOwner</a> (self)</td></tr>
<tr class="memdesc:a03c90a7c08177375d0d7a1066b0c7245"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie le propriétaire.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a03c90a7c08177375d0d7a1066b0c7245">Plus de détails...</a><br /></td></tr>
<tr class="separator:a03c90a7c08177375d0d7a1066b0c7245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f61aecb7958064b27ea9b1eae2286f1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1">getFat</a> (self)</td></tr>
<tr class="memdesc:a4f61aecb7958064b27ea9b1eae2286f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie à coup sûr la partition vfat d'un disque.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4f61aecb7958064b27ea9b1eae2286f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abca64357f81f74f572d4e0f53d9069ac"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#abca64357f81f74f572d4e0f53d9069ac">valuableProperties</a> (self, indent=4)</td></tr>
<tr class="memdesc:abca64357f81f74f572d4e0f53d9069ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Facilite l'accès aux propriétés intéressantes d'une instance.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#abca64357f81f74f572d4e0f53d9069ac">Plus de détails...</a><br /></td></tr>
<tr class="separator:abca64357f81f74f572d4e0f53d9069ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedab6e01d7f2856f128df0a24029a043"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#aedab6e01d7f2856f128df0a24029a043">uniqueId</a> (self)</td></tr>
<tr class="separator:aedab6e01d7f2856f128df0a24029a043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f017995da90cd0101e2f4b3b040468c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c">tattoo</a> (self)</td></tr>
<tr class="memdesc:a0f017995da90cd0101e2f4b3b040468c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie un tatouage présent sur la clé, quitte à le créer.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0f017995da90cd0101e2f4b3b040468c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70c2ad23e3e2ef06c16897aca80d8f3c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a70c2ad23e3e2ef06c16897aca80d8f3c">readQuirks</a> (self)</td></tr>
<tr class="separator:a70c2ad23e3e2ef06c16897aca80d8f3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e78741368c9c727100db803f119f126"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a5e78741368c9c727100db803f119f126">visibleDir</a> (self)</td></tr>
<tr class="separator:a5e78741368c9c727100db803f119f126"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86fb69576603527997369c375d4711ea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a86fb69576603527997369c375d4711ea">headers</a> (locale=&quot;C&quot;)</td></tr>
<tr class="separator:a86fb69576603527997369c375d4711ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f5a9f75b5433087f03adcd40aa47eb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb">ownerByDb</a> (self)</td></tr>
<tr class="memdesc:a13f5a9f75b5433087f03adcd40aa47eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">renvoie un nom de propriétaire dans tous les cas.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb">Plus de détails...</a><br /></td></tr>
<tr class="separator:a13f5a9f75b5433087f03adcd40aa47eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b5455d4c295090d18f4c0b5a567675"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675">__getitem__</a> (self, n)</td></tr>
<tr class="memdesc:a73b5455d4c295090d18f4c0b5a567675"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie un élément de listage de données internes au disque.  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675">Plus de détails...</a><br /></td></tr>
<tr class="separator:a73b5455d4c295090d18f4c0b5a567675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3eeeb0bda5d3a4f839a7706492bda6f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#ad3eeeb0bda5d3a4f839a7706492bda6f">ensureOwner</a> (self, ownerDialog)</td></tr>
<tr class="separator:ad3eeeb0bda5d3a4f839a7706492bda6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a811157e593ead4adb609c492b2a41c2e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a811157e593ead4adb609c492b2a41c2e">randomOwner</a> (self, length)</td></tr>
<tr class="memdesc:a811157e593ead4adb609c492b2a41c2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">fabrique un texte aléatoire de longueur donnée  <a href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a811157e593ead4adb609c492b2a41c2e">Plus de détails...</a><br /></td></tr>
<tr class="separator:a811157e593ead4adb609c492b2a41c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsrc_1_1usbDisk2_1_1uDisk2')"><img src="closed.png" alt="-"/>&#160;Fonctions membres publiques hérités de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">src.usbDisk2.uDisk2</a></td></tr>
<tr class="memitem:af0c183341276450073fce135d790e050 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#af0c183341276450073fce135d790e050">__str__</a> (self)</td></tr>
<tr class="memdesc:af0c183341276450073fce135d790e050 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fournit une représentation imprimable.  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#af0c183341276450073fce135d790e050">Plus de détails...</a><br /></td></tr>
<tr class="separator:af0c183341276450073fce135d790e050 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e85e8b39e42b70f3608f05fb5dc484f inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a4e85e8b39e42b70f3608f05fb5dc484f">title</a> (self)</td></tr>
<tr class="memdesc:a4e85e8b39e42b70f3608f05fb5dc484f inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Permet d'obtenir un identifiant unique de disque.  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#a4e85e8b39e42b70f3608f05fb5dc484f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4e85e8b39e42b70f3608f05fb5dc484f inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d7133d0760c50c268d36ac6e020d3c inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a54d7133d0760c50c268d36ac6e020d3c">isDosFat</a> (self)</td></tr>
<tr class="memdesc:a54d7133d0760c50c268d36ac6e020d3c inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Permet de reconnaitre les partitions DOS-FAT.  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#a54d7133d0760c50c268d36ac6e020d3c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a54d7133d0760c50c268d36ac6e020d3c inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66b90b9e2164a4c96407f4791009a99 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad66b90b9e2164a4c96407f4791009a99">isMounted</a> (self)</td></tr>
<tr class="separator:ad66b90b9e2164a4c96407f4791009a99 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b98b23c184ad17d17c0c808ee15928b inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a0b98b23c184ad17d17c0c808ee15928b">mountPoint</a> (self)</td></tr>
<tr class="separator:a0b98b23c184ad17d17c0c808ee15928b inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41d878fd836aea74005591ad76ca3059 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a41d878fd836aea74005591ad76ca3059">unNumberProp</a> (self, n)</td></tr>
<tr class="separator:a41d878fd836aea74005591ad76ca3059 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86747e17c072da354654d4dc4d5e9974 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a86747e17c072da354654d4dc4d5e9974">ensureMounted</a> (self)</td></tr>
<tr class="memdesc:a86747e17c072da354654d4dc4d5e9974 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Permet de s'assurer qu'une partition ou un disque sera bien monté  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#a86747e17c072da354654d4dc4d5e9974">Plus de détails...</a><br /></td></tr>
<tr class="separator:a86747e17c072da354654d4dc4d5e9974 inherit pub_methods_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:af2809ced8ed517b9756c396d532cd5d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#af2809ced8ed517b9756c396d532cd5d6">owner</a></td></tr>
<tr class="separator:af2809ced8ed517b9756c396d532cd5d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab04edd4759e7e522642afaaa16d800ed"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#ab04edd4759e7e522642afaaa16d800ed">visibleDirs</a></td></tr>
<tr class="separator:ab04edd4759e7e522642afaaa16d800ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2')"><img src="closed.png" alt="-"/>&#160;Attributs publics hérités de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">src.usbDisk2.uDisk2</a></td></tr>
<tr class="memitem:a00bedd72ba2597ede05d69398ac73c74 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a00bedd72ba2597ede05d69398ac73c74">path</a></td></tr>
<tr class="separator:a00bedd72ba2597ede05d69398ac73c74 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a373d93728cebb8272ce459b39eb18ab8 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a373d93728cebb8272ce459b39eb18ab8">mp</a></td></tr>
<tr class="separator:a373d93728cebb8272ce459b39eb18ab8 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab069d4e04fc385060c1af5d57f354549 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ab069d4e04fc385060c1af5d57f354549">isUsb</a></td></tr>
<tr class="separator:ab069d4e04fc385060c1af5d57f354549 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1ab3d8ed30cefcca30bc04eda5a4374 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac1ab3d8ed30cefcca30bc04eda5a4374">vendor</a></td></tr>
<tr class="separator:ac1ab3d8ed30cefcca30bc04eda5a4374 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad903c162f9c93e93bfad0a1617f6957a inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad903c162f9c93e93bfad0a1617f6957a">model</a></td></tr>
<tr class="separator:ad903c162f9c93e93bfad0a1617f6957a inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a270486ee9951b7884bde91dbb89ca007 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a270486ee9951b7884bde91dbb89ca007">parent</a></td></tr>
<tr class="separator:a270486ee9951b7884bde91dbb89ca007 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a382ab84bcc4fc0c93677f56a480fc611 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a382ab84bcc4fc0c93677f56a480fc611">fstype</a></td></tr>
<tr class="separator:a382ab84bcc4fc0c93677f56a480fc611 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8316e946dcf286fba5d7ebf072297000 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a8316e946dcf286fba5d7ebf072297000">stickid</a></td></tr>
<tr class="separator:a8316e946dcf286fba5d7ebf072297000 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b9f005eee77cba1a15a2a9eac90499 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#aa0b9f005eee77cba1a15a2a9eac90499">uuid</a></td></tr>
<tr class="separator:aa0b9f005eee77cba1a15a2a9eac90499 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2fab9a1fad78aa2838eb98c618bcad0 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac2fab9a1fad78aa2838eb98c618bcad0">free</a></td></tr>
<tr class="separator:ac2fab9a1fad78aa2838eb98c618bcad0 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85554206613b2f0d8060d7ffb84ffeb inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ab85554206613b2f0d8060d7ffb84ffeb">capacity</a></td></tr>
<tr class="separator:ab85554206613b2f0d8060d7ffb84ffeb inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c2ead37eb3da34c04ff2696db06f06 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac3c2ead37eb3da34c04ff2696db06f06">devStuff</a></td></tr>
<tr class="separator:ac3c2ead37eb3da34c04ff2696db06f06 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad652bd6709835104fe26cf8e289b70ff inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad652bd6709835104fe26cf8e289b70ff">firstFat</a></td></tr>
<tr class="separator:ad652bd6709835104fe26cf8e289b70ff inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1fb31a571cf086ef0cd8e9cf8e44115 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ad1fb31a571cf086ef0cd8e9cf8e44115">selected</a></td></tr>
<tr class="separator:ad1fb31a571cf086ef0cd8e9cf8e44115 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e9c1ff4605922fc2cb11fe83ae22745 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a3e9c1ff4605922fc2cb11fe83ae22745">rlock</a></td></tr>
<tr class="separator:a3e9c1ff4605922fc2cb11fe83ae22745 inherit pub_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Attributs publics statiques</h2></td></tr>
<tr class="memitem:ac8e0e6007f446d93f784b7c0ec0d3537"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#ac8e0e6007f446d93f784b7c0ec0d3537">headers</a> = staticmethod(headers)</td></tr>
<tr class="separator:ac8e0e6007f446d93f784b7c0ec0d3537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classsrc_1_1usbDisk2_1_1uDisk2')"><img src="closed.png" alt="-"/>&#160;Attributs publics statiques hérités de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">src.usbDisk2.uDisk2</a></td></tr>
<tr class="memitem:a9b9ba84808e41c16f9c447eb20a02e45 inherit pub_static_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a9b9ba84808e41c16f9c447eb20a02e45">headers</a> = staticmethod(headers)</td></tr>
<tr class="separator:a9b9ba84808e41c16f9c447eb20a02e45 inherit pub_static_attribs_classsrc_1_1usbDisk2_1_1uDisk2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00082">82</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a1d59c88d4bc3975a64192136a7ddbef3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d59c88d4bc3975a64192136a7ddbef3">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mp</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>isUsb</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>vendor</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>model</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fstype</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>serial</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>uuid</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>free</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>capacity</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>device</em> = <code>''</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>firstFat</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>selected</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>un chemin comme '/org/freedesktop/UDisks2/block_devices/sdX' </td></tr>
    <tr><td class="paramname">mp</td><td>point de montage ('' par défaut) </td></tr>
    <tr><td class="paramname">isUsb</td><td>en général, vrai vu qu'on se s'intéressera qu'à des périphériques USB </td></tr>
    <tr><td class="paramname">vendor</td><td>indication de vendeur </td></tr>
    <tr><td class="paramname">model</td><td>indication de modèle </td></tr>
    <tr><td class="paramname">parent</td><td>périphérique parent (None par défaut) </td></tr>
    <tr><td class="paramname">fstype</td><td>type de système de fichiers </td></tr>
    <tr><td class="paramname">serial</td><td>numéro de série </td></tr>
    <tr><td class="paramname">uuid</td><td>identifiant donné au disque lors du formatage </td></tr>
    <tr><td class="paramname">free</td><td>taille de la zone libre pour l'écriture </td></tr>
    <tr><td class="paramname">capacity</td><td>taille du périphérique </td></tr>
    <tr><td class="paramname">device</td><td>pseudo-fichier pour l'accès au périphérique </td></tr>
    <tr><td class="paramname">firstFat</td><td>une instance de <a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html">uDisk2</a>, de type vfat parmi les partitions </td></tr>
    <tr><td class="paramname">selected</td><td>vrai/faux selon qu'on sélectionne ou non le périphérique (vrai par défaut) </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a30caac8d6a92aa41f7fb43f6e6c81a9d">src.usbDisk2.uDisk2</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00101">101</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a73b5455d4c295090d18f4c0b5a567675"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73b5455d4c295090d18f4c0b5a567675">&#9670;&nbsp;</a></span>__getitem__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.__getitem__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie un élément de listage de données internes au disque. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>un nombre </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>un élément si n&gt;0, et le drapeau self.selected si n==0. Les noms des éléments sont dans la liste itemNames utilisée dans la fonction statique headers </dd></dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#ac0fc4bb90e13017ed8e94ebde1058765">src.usbDisk2.uDisk2</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00221">221</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a73b5455d4c295090d18f4c0b5a567675_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a73b5455d4c295090d18f4c0b5a567675_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a73b5455d4c295090d18f4c0b5a567675_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a73b5455d4c295090d18f4c0b5a567675_cgraph">
<area shape="rect" title="Renvoie un élément de listage de données internes au disque." alt="" coords="5,49,183,90"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="231,31,473,57"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a41d878fd836aea74005591ad76ca3059" title=" " alt="" coords="237,81,467,108"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="521,31,732,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="780,5,995,32"/>
<area shape="rect" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74" title=" " alt="" coords="790,56,985,83"/>
</map>
</div>

</div>
</div>
<a id="ad3eeeb0bda5d3a4f839a7706492bda6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3eeeb0bda5d3a4f839a7706492bda6f">&#9670;&nbsp;</a></span>ensureOwner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.ensureOwner </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ownerDialog</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00242">242</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_ad3eeeb0bda5d3a4f839a7706492bda6f_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_ad3eeeb0bda5d3a4f839a7706492bda6f_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_ad3eeeb0bda5d3a4f839a7706492bda6f_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_ad3eeeb0bda5d3a4f839a7706492bda6f_cgraph">
<area shape="rect" title=" " alt="" coords="5,27,221,69"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="272,5,487,32"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a811157e593ead4adb609c492b2a41c2e" title="fabrique un texte aléatoire de longueur donnée" alt="" coords="269,57,489,98"/>
</map>
</div>

</div>
</div>
<a id="a4f61aecb7958064b27ea9b1eae2286f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f61aecb7958064b27ea9b1eae2286f1">&#9670;&nbsp;</a></span>getFat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.getFat </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie à coup sûr la partition vfat d'un disque. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une instance <a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html">uDisk2</a> représentant une partition vfat </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00123">123</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a4f61aecb7958064b27ea9b1eae2286f1_icgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a4f61aecb7958064b27ea9b1eae2286f1_icgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a4f61aecb7958064b27ea9b1eae2286f1_icgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a4f61aecb7958064b27ea9b1eae2286f1_icgraph">
<area shape="rect" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="785,78,1000,105"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#ad3eeeb0bda5d3a4f839a7706492bda6f" title=" " alt="" coords="521,5,737,47"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a03c90a7c08177375d0d7a1066b0c7245" title="Renvoie le propriétaire." alt="" coords="532,71,727,112"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="524,137,735,163"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="231,111,473,138"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#aedab6e01d7f2856f128df0a24029a043" title=" " alt="" coords="239,162,465,189"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675" title="Renvoie un élément de listage de données internes au disque." alt="" coords="5,104,183,145"/>
</map>
</div>

</div>
</div>
<a id="a03c90a7c08177375d0d7a1066b0c7245"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03c90a7c08177375d0d7a1066b0c7245">&#9670;&nbsp;</a></span>getOwner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.getOwner </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie le propriétaire. </p>
<dl class="section return"><dt>Renvoie</dt><dd>le propriétaire de la clé </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00116">116</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a03c90a7c08177375d0d7a1066b0c7245_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a03c90a7c08177375d0d7a1066b0c7245_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a03c90a7c08177375d0d7a1066b0c7245_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a03c90a7c08177375d0d7a1066b0c7245_cgraph">
<area shape="rect" title="Renvoie le propriétaire." alt="" coords="5,5,200,47"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="248,13,463,39"/>
</map>
</div>

</div>
</div>
<a id="a86fb69576603527997369c375d4711ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86fb69576603527997369c375d4711ea">&#9670;&nbsp;</a></span>headers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.headers </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>locale</em> = <code>&quot;C&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a83f9bd10c959e804b35a74857b9e0f4d">src.usbDisk2.uDisk2</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00199">199</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="a13f5a9f75b5433087f03adcd40aa47eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13f5a9f75b5433087f03adcd40aa47eb">&#9670;&nbsp;</a></span>ownerByDb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.ownerByDb </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>renvoie un nom de propriétaire dans tous les cas. </p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00208">208</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_cgraph">
<area shape="rect" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="5,31,248,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="296,31,507,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="555,5,769,32"/>
<area shape="rect" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74" title=" " alt="" coords="565,56,759,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_icgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_icgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_icgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a13f5a9f75b5433087f03adcd40aa47eb_icgraph">
<area shape="rect" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="231,13,473,39"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675" title="Renvoie un élément de listage de données internes au disque." alt="" coords="5,5,183,47"/>
</map>
</div>

</div>
</div>
<a id="a811157e593ead4adb609c492b2a41c2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a811157e593ead4adb609c492b2a41c2e">&#9670;&nbsp;</a></span>randomOwner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.randomOwner </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fabrique un texte aléatoire de longueur donnée </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">length</td><td>la longueur recherchée </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>un texte pseudo-aléatoire </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00264">264</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a811157e593ead4adb609c492b2a41c2e_icgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a811157e593ead4adb609c492b2a41c2e_icgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a811157e593ead4adb609c492b2a41c2e_icgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a811157e593ead4adb609c492b2a41c2e_icgraph">
<area shape="rect" title="fabrique un texte aléatoire de longueur donnée" alt="" coords="269,5,489,47"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#ad3eeeb0bda5d3a4f839a7706492bda6f" title=" " alt="" coords="5,5,221,47"/>
</map>
</div>

</div>
</div>
<a id="a70c2ad23e3e2ef06c16897aca80d8f3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70c2ad23e3e2ef06c16897aca80d8f3c">&#9670;&nbsp;</a></span>readQuirks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.readQuirks </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00166">166</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="a0f017995da90cd0101e2f4b3b040468c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f017995da90cd0101e2f4b3b040468c">&#9670;&nbsp;</a></span>tattoo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.tattoo </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie un tatouage présent sur la clé, quitte à le créer. </p>
<dl class="section return"><dt>Renvoie</dt><dd>un tatouage, supposément unique. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00152">152</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_cgraph">
<area shape="rect" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="5,31,216,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="264,5,479,32"/>
<area shape="rect" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74" title=" " alt="" coords="274,56,469,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_icgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_icgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_icgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_a0f017995da90cd0101e2f4b3b040468c_icgraph">
<area shape="rect" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="521,38,732,65"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="231,13,473,39"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#aedab6e01d7f2856f128df0a24029a043" title=" " alt="" coords="239,63,465,90"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675" title="Renvoie un élément de listage de données internes au disque." alt="" coords="5,5,183,47"/>
</map>
</div>

</div>
</div>
<a id="aedab6e01d7f2856f128df0a24029a043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedab6e01d7f2856f128df0a24029a043">&#9670;&nbsp;</a></span>uniqueId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.uniqueId </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a3f689a220ed8ad5036effb4aadf095e8">src.usbDisk2.uDisk2</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00145">145</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_aedab6e01d7f2856f128df0a24029a043_cgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_aedab6e01d7f2856f128df0a24029a043_cgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_aedab6e01d7f2856f128df0a24029a043_cgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_aedab6e01d7f2856f128df0a24029a043_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,232,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="280,31,491,57"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a4f61aecb7958064b27ea9b1eae2286f1" title="Renvoie à coup sûr la partition vfat d&#39;un disque." alt="" coords="539,5,753,32"/>
<area shape="rect" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74" title=" " alt="" coords="549,56,743,83"/>
</map>
</div>

</div>
</div>
<a id="abca64357f81f74f572d4e0f53d9069ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abca64357f81f74f572d4e0f53d9069ac">&#9670;&nbsp;</a></span>valuableProperties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.valuableProperties </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>indent</em> = <code>4</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Facilite l'accès aux propriétés intéressantes d'une instance. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une chaîne indentée avec les propriétés intéressantes, une par ligne </dd></dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html#a6f189f47c091c65bb1fd5351299e06a3">src.usbDisk2.uDisk2</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00133">133</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1ownedUsbDisk_1_1uDisk2_abca64357f81f74f572d4e0f53d9069ac_icgraph.png" border="0" usemap="#classsrc_1_1ownedUsbDisk_1_1uDisk2_abca64357f81f74f572d4e0f53d9069ac_icgraph" alt=""/></div>
<map name="classsrc_1_1ownedUsbDisk_1_1uDisk2_abca64357f81f74f572d4e0f53d9069ac_icgraph" id="classsrc_1_1ownedUsbDisk_1_1uDisk2_abca64357f81f74f572d4e0f53d9069ac_icgraph">
<area shape="rect" title="Facilite l&#39;accès aux propriétés intéressantes d&#39;une instance." alt="" coords="196,5,421,47"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1uDisk2.html#af0c183341276450073fce135d790e050" title="Fournit une représentation imprimable." alt="" coords="5,5,148,47"/>
</map>
</div>

</div>
</div>
<a id="a5e78741368c9c727100db803f119f126"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e78741368c9c727100db803f119f126">&#9670;&nbsp;</a></span>visibleDir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.uDisk2.visibleDir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00185">185</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="ac8e0e6007f446d93f784b7c0ec0d3537"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8e0e6007f446d93f784b7c0ec0d3537">&#9670;&nbsp;</a></span>headers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.uDisk2.headers = staticmethod(headers)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00233">233</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="af2809ced8ed517b9756c396d532cd5d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2809ced8ed517b9756c396d532cd5d6">&#9670;&nbsp;</a></span>owner</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.uDisk2.owner</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00107">107</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="ab04edd4759e7e522642afaaa16d800ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab04edd4759e7e522642afaaa16d800ed">&#9670;&nbsp;</a></span>visibleDirs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.uDisk2.visibleDirs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00108">108</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html">ownedUsbDisk</a></li><li class="navelem"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html">uDisk2</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
